> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Generate FVU Jobs

> Search to get all matching Generate FVU Jobs through this API



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/fvu/generate/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/fvu/generate/search:
    post:
      tags:
        - FVU Generation
      summary: Search FVU Generation Job
      parameters:
        - name: authorization
          in: header
          description: JWT authorization token
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: Public key required to authorize API access.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.compliance.fvu.generate.search
                tax_year:
                  type: string
                  description: Tax Year (e.g. TY 2026-27)
                  pattern: ^TY [0-9]{4}-[0-9]{2}$
                  example: TY 2026-27
                form:
                  description: TDS return form
                  type: string
                quarter:
                  description: Quarter (e.g. Q2)
                  type: string
                tan:
                  description: >-
                    TAN of deductor/collector. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  type: string
                filing_type:
                  description: Type of TDS/TCS Return
                  type: string
                from_date:
                  description: >-
                    Date from which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                to_date:
                  description: >-
                    Date till which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                page_size:
                  description: >-
                    Number of records in the API response. Maximum allowed size
                    is 50
                  type: integer
                last_evaluated_key:
                  description: >-
                    Base64 encoding of the stringified JSON object, which
                    includes x-api-key, created_at, and job_id
                  type: string
              required:
                - '@entity'
            examples:
              200 job success:
                value:
                  '@entity': in.co.sandbox.tds.compliance.fvu.generate.search
                summary: 200 job success
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        enum:
                          - >-
                            in.co.sandbox.tds.compliance.fvu.generate.paginated_list
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            created_at:
                              type: integer
                            '@entity':
                              type: string
                            job_id:
                              type: string
                            tan:
                              type: string
                            tax_year:
                              type: string
                              description: Tax Year (e.g. TY 2026-27)
                              pattern: ^TY [0-9]{4}-[0-9]{2}$
                              example: TY 2026-27
                            quarter:
                              type: string
                            form:
                              type: string
                            filing_type:
                              type: string
                            status:
                              type: string
                  transaction_id:
                    type: string
              examples:
                200 job success:
                  summary: 200 job success
                  value:
                    code: 200
                    timestamp: 1763035746825
                    data:
                      '@entity': in.co.sandbox.tds.compliance.fvu.generate.paginated_list
                      items:
                        - created_at: 1762511623903
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 6622b26a-9601-4692-9c9c-a9b3a1ff8a6e
                          tan: AHMA44270C
                          tax_year: TY 2026-27
                          quarter: Q3
                          form: '140'
                          filing_type: regular
                          status: created
                        - created_at: 1762238825579
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: c4894d31-c59d-4955-b5a8-5c124e3e8072
                          tan: AHMA00000C
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          filing_type: regular
                          status: created
                        - created_at: 1762238798138
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 83526ecf-9401-4472-9894-0dded05a5b2d
                          tan: AHMA00000C
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          filing_type: regular
                          status: created
                        - created_at: 1761819084423
                          updated_at: 1761819130863
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 6f006f8d-7680-47de-8982-950a6bba48c2
                          tan: AHMQ00112A
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761818231823
                          updated_at: 1761818280529
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 98e92413-b1a1-4f15-9efc-84f0b617dd64
                          tan: AHMQ00112A
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          filing_type: regular
                          status: failed
                        - created_at: 1761738587585
                          updated_at: 1761738622697
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 183a31e4-fdc4-437b-8054-f87121af6dcc
                          tan: AHMQ00112A
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '138'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761738584006
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: e5142096-8182-46e7-8e19-b12159f8c965
                          tan: AHMQ00112A
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '138'
                          filing_type: regular
                          status: created
                        - created_at: 1761737173402
                          updated_at: 1761737219289
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 1c8fce43-401e-4876-a78d-1043f81a7954
                          tan: AHMQ00112A
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '138'
                          filing_type: regular
                          message: Form mismatch
                          status: failed
                        - created_at: 1761732724431
                          updated_at: 1761732773453
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 5c7dfb7d-7915-42e2-b0d5-7aa93449a648
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '140'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761659003619
                          updated_at: 1761659086073
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 2c35a44b-e61b-4a70-9a92-079354710133
                          tan: AHMS45586C
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '138'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761634299914
                          updated_at: 1761634345747
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 56625794-b1a9-4d7d-a26d-7fcbd18632a7
                          tan: BLRR32170F
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761571384235
                          updated_at: 1761571434955
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: e4f848a0-5bb6-448b-ba69-250a38455517
                          tan: DELG20840B
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761570981608
                          updated_at: 1761571018207
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 6fe7be04-96db-4b18-90c3-0a8ea7692225
                          tan: DELG20840B
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: failed
                        - created_at: 1761557897110
                          updated_at: 1761557936792
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: d281be50-92c7-4b53-ac9f-1b4e61b20dbf
                          tan: BLRV26339F
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1761551312937
                          updated_at: 1761551348037
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 9b2349d4-a754-4fab-8e7f-320849436709
                          tan: MUMK37337G
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1760539426714
                          updated_at: 1760539477220
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 410c3dfb-86b1-4f17-bf5e-537485be3979
                          tan: MRTA26471E
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: succeeded
                        - created_at: 1760015060012
                          updated_at: 1760015230331
                          '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                          job_id: 5264a512-fba0-408d-8c22-3b1e876248d3
                          tan: MUMP51255B
                          tax_year: TY 2026-27
                          quarter: Q2
                          form: '144'
                          filing_type: regular
                          status: succeeded
                    transaction_id: c93b4b70-67e8-4853-9dd4-15d3ef50c5b2
          headers: {}
      deprecated: false
      security: []

````